<div class="container">
    <div class="w100p" fxLayout="row" fxLayoutGap="50px" fxLayoutAlign="space-between center">
        <h2>Lista de animais</h2>
        <button mat-raised-button class="btnCadastrar" (click)="createAnimal()">Cadastrar animal</button>
    </div>
    <table mat-table [dataSource]="data" class="mat-elevation-z8">
        <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef> ID </th>
            <td mat-cell *matCellDef="let element"> {{ element.id }} </td>
        </ng-container>

        <ng-container matColumnDef="manejo">
            <th mat-header-cell *matHeaderCellDef> Manejo </th>
            <td mat-cell *matCellDef="let element"> {{ element.manejo }} </td>
        </ng-container>

        <ng-container matColumnDef="tag">
            <th mat-header-cell *matHeaderCellDef> Tag </th>
            <td mat-cell *matCellDef="let element"> {{ element.tag }} </td>
        </ng-container>

        <ng-container matColumnDef="opcoes">
            <th mat-header-cell *matHeaderCellDef> Opções </th>
            <td mat-cell *matCellDef="let element">
                <button mat-icon-button (click)="onDelete(element.id)">
                    <mat-icon>delete</mat-icon>
                </button>
            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>

    <div class="w100p mt-10" fxLayoutAlign="end center">
        <button mat-button [routerLink]="['/desafio']">Instruções do desafio</button>
    </div>
</div>